%define upstream_name    Pod-PseudoPod-LaTeX
%define upstream_version 1.20190729

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convert Pod::PseudoPod documents into LaTeX
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::String)
BuildRequires: perl(Pod::PseudoPod) >= 0.160.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.600.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/ppod2latex

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.201.907.290-2.mga8
+ Revision: 1528007
- Mageia 8 Mass Rebuild

* Mon Aug 05 2019 tv <tv> 1.201.907.290-1.mga8
+ Revision: 1427493
- update to 1.20190729

* Thu Sep 20 2018 umeabot <umeabot> 1.201.606.260-2.mga7
+ Revision: 1285744
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 sander85 <sander85> 1.201.606.260-1.mga7
+ Revision: 1132166
- update to 1.20160626

* Sun Jun 19 2016 pterjan <pterjan> 1.201.107.100-7.mga6
+ Revision: 1032325
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.201.107.100-6.mga6
+ Revision: 946807
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.201.107.100-5.mga5
+ Revision: 743623
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.201.107.100-4.mga5
+ Revision: 686018
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.201.107.100-3.mga4
+ Revision: 514219
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.201.107.100-2.mga3
+ Revision: 371979
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 1.20110710

* Sun Jun 19 2011 jquelin <jquelin> 1.101.650-3.mga2
+ Revision: 109891
- rebuild script for perl 5.14.1

* Mon Jan 24 2011 jquelin <jquelin> 1.101.650-2.mga1
+ Revision: 36502
- mageia rebuild
- imported package perl-Pod-PseudoPod-LaTeX

